Skip to content
WP Engine Documentation

Fetch account usage limits

GET
/accounts/{account_id}/limits
curl --request GET \
--url https://api.wpengineapi.com/v1/accounts/example/limits \
--header 'Authorization: Basic <credentials>'

Fetch account limits such as visitors, storage (GB) and bandwidth (GB) to compare against your current usage.

account_id
required
string format: uuid

ID of account

OK

Media type application/json

Account limits for environments, storage, bandwidth, and billable visits

object
visitors

Maximum number of visitors

integer
storage

Maximum storage allowance in GB

integer
bandwidth

Maximum bandwidth allowance in GB

integer
Example
{
"visitors": 25000,
"storage": 150,
"bandwidth": 1000
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json